## ros-one-trac-ik-kinematics-plugin 1.6.6-9jammy.20251023.1451

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(trac_ik_kinematics_plugin)

find_package(PkgConfig REQUIRED)
pkg_check_modules(pkg_nlopt REQUIRED nlopt)

find_package(catkin REQUIRED
  COMPONENTS
    moveit_core
    pluginlib
    roscpp
    tf_conversions
    trac_ik_lib
)

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
  ${pkg_nlopt_INCLUDE_DIRS}
)

catkin_package(
  INCLUDE_DIRS
    include
  CATKIN_DEPENDS
    moveit_core
    pluginlib
    roscpp
    tf_conversions
    trac_ik_lib
)

set(TRAC_IK_LIBRARY_NAME trac_ik_kinematics_plugin)

add_library(${TRAC_IK_LIBRARY_NAME} src/trac_ik_kinematics_plugin.cpp)
target_link_libraries(${TRAC_IK_LIBRARY_NAME} ${catkin_LIBRARIES} ${pkg_nlopt_LIBRARIES})

install(DIRECTORY include/
  DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION}
)

install(TARGETS ${TRAC_IK_LIBRARY_NAME}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

install(
  FILES
    trac_ik_kinematics_description.xml
  DESTINATION
    ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-one-trac-ik-kinematics-plugin (1.6.6-9jammy.20251023.1451) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- TRACLabs Robotics <robotics@traclabs.com>  Thu, 23 Oct 2025 14:51:49 +0000

ros-one-trac-ik-kinematics-plugin (1.6.6-0jammy) jammy; urgency=high

  * removed bad depends
  * propagated nlopt deps to sat packages
  * Contributors: Stephen Hart

 -- TRACLabs Robotics <robotics@traclabs.com>  Wed, 05 May 2021 00:00:00 -0000

ros-one-trac-ik-kinematics-plugin (1.6.4-0jammy) jammy; urgency=high



 -- TRACLabs Robotics <robotics@traclabs.com>  Thu, 29 Apr 2021 00:00:00 -0000

ros-one-trac-ik-kinematics-plugin (1.6.2-0jammy) jammy; urgency=high

  * changed package.xmls to format 3
  * switched to non-deprecated function for neotic
  * Contributors: Stephen Hart

 -- TRACLabs Robotics <robotics@traclabs.com>  Wed, 17 Mar 2021 00:00:00 -0000

=== debian/control ===
Source: ros-one-trac-ik-kinematics-plugin
Section: misc
Priority: optional
Maintainer: TRACLabs Robotics <robotics@traclabs.com>
Build-Depends: debhelper (>= 9.0.0), libnlopt-cxx-dev, libnlopt-dev, ros-one-catkin, ros-one-moveit-core, ros-one-pluginlib, ros-one-roscpp, ros-one-tf-conversions, ros-one-trac-ik-lib
Homepage: 
Standards-Version: 3.9.2

Package: ros-one-trac-ik-kinematics-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libnlopt-dev, libnlopt0, ros-one-moveit-core, ros-one-pluginlib, ros-one-roscpp, ros-one-tf-conversions, ros-one-trac-ik-lib
Description: A MoveIt! Kinematics plugin using TRAC-IK

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-trac-ik-kinematics-plugin//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-trac-ik-kinematics-plugin 1.6.6-9jammy.20251208.0150

=== debian/changelog ===
ros-one-trac-ik-kinematics-plugin (1.6.6-9jammy.20251208.0150) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- TRACLabs Robotics <robotics@traclabs.com>  Mon, 08 Dec 2025 01:50:14 +0000

## ros-one-trac-ik-kinematics-plugin 1.6.6-9jammy.20260128.2144

=== debian/changelog ===
ros-one-trac-ik-kinematics-plugin (1.6.6-9jammy.20260128.2144) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- TRACLabs Robotics <robotics@traclabs.com>  Wed, 28 Jan 2026 21:44:30 +0000

## ros-one-trac-ik-kinematics-plugin 1.6.6-9jammy.20260301.2136

=== debian/changelog ===
ros-one-trac-ik-kinematics-plugin (1.6.6-9jammy.20260301.2136) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- TRACLabs Robotics <robotics@traclabs.com>  Sun, 01 Mar 2026 21:36:35 +0000

## ros-one-trac-ik-kinematics-plugin 1.6.6-9noble.20251023.1525

=== debian/changelog ===
ros-one-trac-ik-kinematics-plugin (1.6.6-9noble.20251023.1525) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- TRACLabs Robotics <robotics@traclabs.com>  Thu, 23 Oct 2025 15:25:17 +0000

ros-one-trac-ik-kinematics-plugin (1.6.6-0noble) noble; urgency=high

  * removed bad depends
  * propagated nlopt deps to sat packages
  * Contributors: Stephen Hart

 -- TRACLabs Robotics <robotics@traclabs.com>  Wed, 05 May 2021 00:00:00 -0000

ros-one-trac-ik-kinematics-plugin (1.6.4-0noble) noble; urgency=high



 -- TRACLabs Robotics <robotics@traclabs.com>  Thu, 29 Apr 2021 00:00:00 -0000

ros-one-trac-ik-kinematics-plugin (1.6.2-0noble) noble; urgency=high

  * changed package.xmls to format 3
  * switched to non-deprecated function for neotic
  * Contributors: Stephen Hart

 -- TRACLabs Robotics <robotics@traclabs.com>  Wed, 17 Mar 2021 00:00:00 -0000

## ros-one-trac-ik-kinematics-plugin 1.6.6-9noble.20251208.1237

=== debian/changelog ===
ros-one-trac-ik-kinematics-plugin (1.6.6-9noble.20251208.1237) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- TRACLabs Robotics <robotics@traclabs.com>  Mon, 08 Dec 2025 12:37:29 +0000

## ros-one-trac-ik-kinematics-plugin 1.6.6-9noble.20260128.2155

=== debian/changelog ===
ros-one-trac-ik-kinematics-plugin (1.6.6-9noble.20260128.2155) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- TRACLabs Robotics <robotics@traclabs.com>  Wed, 28 Jan 2026 21:55:30 +0000

## ros-one-trac-ik-kinematics-plugin 1.6.6-9noble.20260301.2132

=== debian/changelog ===
ros-one-trac-ik-kinematics-plugin (1.6.6-9noble.20260301.2132) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- TRACLabs Robotics <robotics@traclabs.com>  Sun, 01 Mar 2026 21:32:17 +0000
